# Class PointCloudLayerHitTestIdentifyProvider

An identify provider for PointCloudLayers that works with graphics rendered on the map.

#### Hierarchy (view full)

- HitTestIdentifyProvider
  - PointCloudLayerHitTestIdentifyProvider

#####
Index

### Constructors

constructor

### Properties

queryProvider

### Methods

_applyTolerance
_count
_identify
_identifyMany
_supportsQuery
count
identify
isSupported

##
Constructors

### constructor

- new PointCloudLayerHitTestIdentifyProvider(): PointCloudLayerHitTestIdentifyProvider

- #### Returns PointCloudLayerHitTestIdentifyProvider

  Inherited from HitTestIdentifyProvider.constructor

##
Properties

### queryProvider

queryProvider: QueryProvider

The query provider to fall back on, used to fetch attribute data that is not included within the map's graphics.

Inherited from HitTestIdentifyProvider.queryProvider

##
Methods

### `Protected`_applyTolerance

- _applyTolerance(geometry): Promise<GeometryUnion>

- Adds a tolerance to input geometries if configured in the options.

  #### Parameters

  - geometry: GeometryUnion

    The geometry to apply a tolerance to.

  #### Returns Promise<GeometryUnion>

  Inherited from HitTestIdentifyProvider._applyTolerance

### `Protected`_count

- _count(source, geometry, options): Promise<CountResult>

- Invoked to perform the actual work for count. Derived classes should override this method rather than count().

  #### Parameters

  - source: HitTestLayerExtension

    The source to identify.

  - geometry: GeometryUnion

    The geometry to match against.

  - options: IdentifyOptions

    Options that affect the identify operation.

  #### Returns Promise<CountResult>

  Inherited from HitTestIdentifyProvider._count

### `Protected`_identify

- _identify(source, geometry, options): AsyncIterable<Feature, any, any>

- Invoked to perform the actual work for identify on a single source. Derived classes should override this method rather than identify().

  #### Parameters

  - source: BuildingComponentSublayerExtension | HitTestLayerExtension

    The source to identify.

  - geometry: GeometryUnion

    The geometry to match against.

  - options: IdentifyOptions

    Options that affect the identify operation.

  #### Returns AsyncIterable<Feature, any, any>

  Inherited from HitTestIdentifyProvider._identify

### `Protected`_identifyMany

- _identifyMany(sources, geometry, options, geometryType?): AsyncIterable<Feature, any, any>

- Invoked to perform the work for identify. Default implementation calls _identify for each source. Derived classes can override this method to implement special handling for multiple sources.

  #### Parameters

  - sources: FeatureSource[]

    The sources to identify.

  - geometry: GeometryUnion

    The geometry to match against.

  - options: IdentifyOptions

    Options that affect the identify operation.

  - `Optional` geometryType: string

    The geometry type before a tolerance buffer is applied.

  #### Returns AsyncIterable<Feature, any, any>

  Inherited from HitTestIdentifyProvider._identifyMany

### `Protected`_supportsQuery

- _supportsQuery(featureSource): boolean

- If the featureSource supports query.

  #### Parameters

  - featureSource: PointCloudLayerExtension

    The featureSource to be identified.

  #### Returns boolean

  Overrides HitTestIdentifyProvider._supportsQuery

### count

- count(source, geometry, options?): Promise<CountResult>

- Counts features in a given source that intersect the given geometry.

  #### Parameters

  - source: FeatureSource

    The source to identify.

  - geometry: GeometryUnion

    The geometry to match against.

  - `Optional` options: IdentifyOptions

    Options that affect the identify operation.

  #### Returns Promise<CountResult>

  An iterable of tasks/CountResult!CountResults containing count results. If canceled, the provider may reject the returned promise with an instance of support/Cancellable!Cancellation, though it may still fulfill with count results instead.

  Inherited from HitTestIdentifyProvider.count

### identify

- identify(source, geometry, options?): AsyncIterable<Feature, any, any>

- Identifies features in a given source that intersect the given geometry.

  #### Parameters

  - source: FeatureSource | FeatureSource[]

    The source to identify.

  - geometry: GeometryUnion

    The geometry to match against.

  - `Optional` options: IdentifyOptions

    Options that affect the identify operation.

  #### Returns AsyncIterable<Feature, any, any>

  An iterable of data/Feature!Features containing identify results. If canceled, the provider may reject the returned promise with an instance of support/Cancellable!Cancellation, though it may still fulfill with results instead.

  Inherited from HitTestIdentifyProvider.identify

### isSupported

- isSupported(source, geometry, options?): boolean

- Determines whether this provider can handle identify operations for the given feature source.

  #### Parameters

  - source: FeatureSource

    The feature source.

  - geometry: GeometryUnion
  - `Optional` options: IdentifyOptions

  #### Returns boolean

  Overrides HitTestIdentifyProvider.isSupported